<template>
    <div class="left__top--four animated fadeInRight">
        <p class="four-title">{{ $t('dashboard.daily.title') }}</p>
        <div class="four__addMoney">
            <p class="text-addMoney">{{ $t('dashboard.daily.refill') }} <span>$ {{ formatAmount(today.refills) || 0.00 }}</span></p>
            <div class="line__addMoney">
                <span class="BGcolor" :style="{width: today.profit_percent >= 0 ? preparePercent(today.profit_percent)+'%' : (100 - preparePercent(today.profit_percent))+'%' }"></span>
            </div>
        </div>
        <div class="four__addMoney">
            <p class="text-addMoney">{{ $t('dashboard.daily.withdrawn') }} <span class="red">$ {{ formatAmount(today.withdraws) || 0.00 }}</span></p>
            <div class="line__addMoney">
                <span class="BGcolorRed" :style="{width: today.profit_percent <= 0 ? preparePercent(today.profit_percent)+'%' : (100 - preparePercent(today.profit_percent))+'%' }"></span>
            </div>
        </div>
        <p class="text-pribil">
            {{ $t('dashboard.daily.profit_daily') }}
            <span class="green" :style="style_profit">{{ sign_profit }} {{ currencies.formatInDefault(today.profit) }}</span>
        </p>
        <p class="text-pribil">
            {{ $t('dashboard.daily.profit_percent') }}
            <span class="green" :style="style_profit">{{ sign_profit }} {{ Math.abs(preparePercent(today.profit_percent)) }}%</span>
        </p>
        <div class="box-day">
            <p class="text-day">{{ $t('dashboard.daily.daily') }} <span>{{ $t('dashboard.daily.last_12_days') }}</span></p>
            <div class="box__day--flex">
                <day-chart v-for="(day, index) in stats" :key="index" :index="index" :day="day"></day-chart>
            </div>
        </div>
    </div>
</template>

<script>
    import DayChart from "../charts/DayChart";
    import currencies from "../../currencies";

	export default {
		name: "DailyBlock",
        props: ['stats'],
        computed: {
		    currencies: () => currencies,
			today(){
				return this.stats && this.stats.length ? this.stats[0] : {
                    profit_percent: 0.00,
                };
            },
            sign_profit(){
				if(this.today.profit_percent > 0){
					return '+';
                }else if(this.today.profit_percent < 0){
					return '-';
                }else{
					return '';
                }
            },
            style_profit(){
				if(this.today.profit_percent > 0){
					return {
						color: '#3ac666'
                    };
				}else if(this.today.profit_percent < 0){
					return {
						color: '#f54a5b'
				    };
				}else{
					return {
						color: '#393939'
				    };
				}
            }
        },
        methods: {
            preparePercent(value){
                return Math.min(100, Math.abs(value)).toFixed(2);
            },
            formatAmount(value){
                return Number.parseFloat('' + value).toFixed(2);
            }
        },
        components: {
			DayChart
        }
	}
</script>

<style scoped>

</style>
